Name:           tuxtype2
Version:        1.5.3
Release:        2%{?dist}

Summary:        Tux Typing, an educational typing tutor for children
Group:          Amusements/Games
License:        GPL
URL:            http://tuxtype.sourceforge.net/
Source0:        http://dl.sf.net/tuxtype/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2.5, SDL_image-devel, SDL_mixer-devel
BuildRequires:  SDL_ttf-devel, ImageMagick, desktop-file-utils
BuildRequires:  automake, autoconf

%description
Tux Typing is an educational typing tutor for children. It features several
different types of gameplay, at a variety of difficulty levels.


%prep
%setup -q


%build
aclocal
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_usr}/doc
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Tux Typing
Comment=An educational typing tutor for children.
Exec=tuxtype2
Icon=tuxtype.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Game;Application;
EOF

convert -size 48x48 tuxtype2.ico $RPM_BUILD_ROOT/%{_datadir}/pixmaps/tuxtype.png
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
		     --add-category X-Fedora \
		     --vendor fedora \
		     %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO tuxtype/docs/en/howtotheme.html
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 1.5.3-2
- Rebuild.
- Use "make install DESTDIR=..." instead of the macro.

* Fri Feb 17 2006 Steven Pritchard <steve@kspei.com> 1.5.3-1
- Update to 1.5.3

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.5.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar 30 2004 Panu Matilainen <pmatilai@welho.com> 0:1.5.2-0.fdr.1
- update to 1.5.2
- remove the silly separator lines from spec
- add encoding to desktop file

* Fri Nov 28 2003 Panu Matilainen <pmatilai@welho.com> 0:1.5.1-0.fdr.2
- run aclocal + autoconf before configure
- add build dependencies for automake and autoconf

* Sat Aug 23 2003 Panu Matilainen <pmatilai@welho.com> 0:1.5.1-0.fdr.1
- Initial Fedora packaging.
